# Uses of Class
javax.imageio.plugins.jpeg.JPEGQTable

Packages that use JPEGQTable
Package
Description
javax.imageio.plugins.jpeg
Classes supporting the built-in JPEG plug-in.

- ## Uses of JPEGQTable in javax.imageio.plugins.jpeg

  Fields in javax.imageio.plugins.jpeg declared as JPEGQTable
  Modifier and Type
  Field
  Description
  `static final JPEGQTable`
  JPEGQTable.`K1Div2Luminance`
  The sample luminance quantization table given in the JPEG specification, table K.1, with all elements divided by 2.
  `static final JPEGQTable`
  JPEGQTable.`K1Luminance`
  The sample luminance quantization table given in the JPEG specification, table K.1.
  `static final JPEGQTable`
  JPEGQTable.`K2Chrominance`
  The sample chrominance quantization table given in the JPEG specification, table K.2.
  `static final JPEGQTable`
  JPEGQTable.`K2Div2Chrominance`
  The sample chrominance quantization table given in the JPEG specification, table K.1, with all elements divided by 2.
  Methods in javax.imageio.plugins.jpeg that return JPEGQTable
  Modifier and Type
  Method
  Description
  `JPEGQTable[]`
  JPEGImageReadParam.`getQTables()`
  Returns a copy of the array of quantization tables set on the most recent call to `setDecodeTables`, or `null` if tables are not currently set.
  `JPEGQTable[]`
  JPEGImageWriteParam.`getQTables()`
  Returns a copy of the array of quantization tables set on the most recent call to `setEncodeTables`, or `null` if tables are not currently set.
  `JPEGQTable`
  JPEGQTable.`getScaledInstance(float scaleFactor, boolean forceBaseline)`
  Returns a new quantization table where the values are multiplied by `scaleFactor` and then clamped to the range 1..32767 (or to 1..255 if `forceBaseline` is true).
  Methods in javax.imageio.plugins.jpeg with parameters of type JPEGQTable
  Modifier and Type
  Method
  Description
  `void`
  JPEGImageReadParam.`setDecodeTables(JPEGQTable[] qTables, JPEGHuffmanTable[] DCHuffmanTables, JPEGHuffmanTable[] ACHuffmanTables)`
  Sets the quantization and Huffman tables to use in decoding abbreviated streams.
  `void`
  JPEGImageWriteParam.`setEncodeTables(JPEGQTable[] qTables, JPEGHuffmanTable[] DCHuffmanTables, JPEGHuffmanTable[] ACHuffmanTables)`
  Sets the quantization and Huffman tables to use in encoding abbreviated streams.